Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__tModelInstanceInfo Class Reference

Schema urn:uddi-org:api_v2:"tModelInstanceInfo". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__tModelInstanceInfo:

[legend]
List of all members.

## Public Attributes
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded.
uddi2__instanceDetails * | instanceDetails
| Element reference "urn:uddi-org:api_v2":instanceDetails.
uddi2__tModelKey | tModelKey
| Attribute tModelKey of type "urn:uddi-org:api_v2":tModelKey.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"tModelInstanceInfo".

## Member Data Documentation

std::vector<uddi2__description* > uddi2__tModelInstanceInfo::description

| Vector of uddi2__description* with length 0..unbounded.

uddi2__instanceDetails* uddi2__tModelInstanceInfo::instanceDetails

| Element reference "urn:uddi-org:api_v2":instanceDetails. Optional element

struct soap* uddi2__tModelInstanceInfo::soap

| A handle to the soap struct context that manages this class instance.

uddi2__tModelKey uddi2__tModelInstanceInfo::tModelKey

| Attribute tModelKey of type "urn:uddi-org:api_v2":tModelKey. Required attribute

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h